# TXDeviceManager class Null safety

Device management

## Constructors

TXDeviceManager(dynamic channel)

## Properties

hashCode → int
  The hash code for this object.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

enableCameraAutoFocus(bool enable) → Future<int?>
  Set whether to enable the automatic recognition of face position
enableCameraTorch(bool enable) → Future<bool?>
  Enable/Disable flash
getApplicationMuteState() → Future<bool?>
  Get the mute status of the current process in the Windows system volume mixer
getApplicationPlayVolume() → Future<int?>
  Get the volume of the current process in the Windows system volume mixer
getCameraZoomMaxRatio() → Future<double?>
  Get the camera zoom factor
getCurrentDevice(int type) → Future<Map?>
  Get the currently used device
getCurrentDeviceMute(int type) → Future<bool?>
  Query the mute status of the current device
getCurrentDeviceVolume(int type) → Future<int?>
  Get the volume of the current device
getDevicesList(int type) → Future<Map?>
  Get the list of devices
isAutoFocusEnabled() → Future<bool?>
  Query whether the device supports automatic recognition of face position
isFrontCamera() → Future<bool?>
  Set whether to use the front camera
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed.
  inherited
setApplicationMuteState(bool bMute) → Future<int?>
  Set the mute status of the current process in the Windows system volume mixer
setApplicationPlayVolume(int volume) → Future<int?>
  Set the volume of the current process in the Windows system volume mixer
setAudioRoute(int route) → Future<void>
  Set audio route
setCameraFocusPosition(int x, int y) → Future<void>
  Set camera focus
setCameraZoomRatio(double value) → Future<int?>
  Set the zoom factor (focal length) of camera
setCurrentDevice(int type, String deviceId) → Future<int?>
  Specify the current device
setCurrentDeviceMute(int type, bool mute) → Future<int?>
  Set the mute status of the current device
setCurrentDeviceVolume(int type, int volume) → Future<int?>
  Set the volume of the current device
setSystemVolumeType(int type) → Future<void>
  Set the system volume type used in call
startMicDeviceTest(int interval) → Future<int?>
  Start mic test
startSpeakerDeviceTest(String filePath) → Future<int?>
  Start speaker test
stopMicDeviceTest() → Future<int?>
  Stop mic test
stopSpeakerDeviceTest() → Future<int?>
  Stop speaker test
switchCamera(bool isFrontCamera) → Future<int?>
  Switch camera
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited